# Generated by Django 2.0 on 2018-05-24 07:49

import arkindex.documents.models
from django.db import migrations
import enumfields.fields


def set_complements(apps, schema_editor):
    "Look for raw folios having a bis, ter or quat suffix, and set the complement."
    Page = apps.get_model('documents', 'Page')
    Page.objects.filter(folio__contains="bis").update(complement=arkindex.documents.models.PageComplement.Bis)
    Page.objects.filter(folio__contains="ter").update(complement=arkindex.documents.models.PageComplement.Ter)
    Page.objects.filter(folio__contains="quat").update(complement=arkindex.documents.models.PageComplement.Quat)


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0006_auto_20180523_1344'),
    ]

    operations = [
        migrations.AddField(
            model_name='page',
            name='complement',
            field=enumfields.fields.EnumField(
                blank=True,
                enum=arkindex.documents.models.PageComplement,
                max_length=10,
                null=True
            ),
        ),
        migrations.RunPython(set_complements),
    ]
