from django.contrib import admin
from arkindex.images.models import ImageServer, Image
from enumfields.admin import EnumFieldListFilter


class ImageServerAdmin(admin.ModelAdmin):
    list_display = ('name', 'url')


class ImageAdmin(admin.ModelAdmin):
    list_display = ('path', 'server', 'width', 'height', 'status')
    list_filter = (
        ('server', admin.RelatedFieldListFilter),
        ('status', EnumFieldListFilter),
    )
    fields = ('id', 'server', 'path', 'width', 'height', 'status')
    readonly_fields = ('id', )


admin.site.register(ImageServer, ImageServerAdmin)
admin.site.register(Image, ImageAdmin)
