from rest_framework import serializers
from arkindex.images.models import Image, Zone


class ZoneSerializer(serializers.ModelSerializer):
    x = serializers.IntegerField(source='polygon.x')
    y = serializers.IntegerField(source='polygon.y')
    width = serializers.IntegerField(source='polygon.width')
    height = serializers.IntegerField(source='polygon.height')
    image_url = serializers.URLField(source='image.url')

    class Meta:
        model = Zone
        fields = (
            'id',
            'x',
            'y',
            'width',
            'height',
            'url',
            'image_url',
        )


class ImageSerializer(serializers.ModelSerializer):
    """
    Serialises an image
    """
    class Meta:
        model = Image
        fields = (
            'id',
            'path',
            'width',
            'height',
            'url',
        )
