from rest_framework import serializers
from arkindex.users.models import OAuthCredentials


class OAuthCredentialsSerializer(serializers.ModelSerializer):

    provider_display_name = serializers.CharField(source='provider_class.display_name')

    class Meta:
        model = OAuthCredentials
        fields = (
            'id',
            'provider_name',
            'provider_display_name',
            'provider_url',
            'account_name',
        )


class OAuthProviderClassSerializer(serializers.Serializer):

    name = serializers.CharField(source='__name__')
    display_name = serializers.CharField()
    default_url = serializers.URLField(source='url')
